import { jsx as a } from "react/jsx-runtime";
import { c as p } from "../../clsx-0c6e471a.js";
import { withRef as u } from "../../utils/withRef.js";
import '../../assets/Button.css';const t = {
  "rp-button": "_rp-button_1jswj_1",
  "rp-button-active": "_rp-button-active_1jswj_18"
}, _ = u((o, r) => {
  const { children: s, active: n, className: c, ...e } = o;
  return /* @__PURE__ */ a(
    "button",
    {
      tabIndex: 0,
      ref: r,
      ...e,
      className: p(t["rp-button"], c, n ? t["rp-button-active"] : ""),
      children: s
    }
  );
});
export {
  _ as UIButton
};
